Module
Contents
Index 🔎︎

# Function Statement

Definuje podprogram, ktorý možno zavolať z programu a ktorý vracia hodnotu.

## Syntax

pozri Parametre

## Paremetre:

Syntax

Function Názov[(Názov_premennej 1 [As Typ][, Názov_premennej 2 [As Typ][,...]]]) [As Typ]

blok príkazov

[Exit Function]

blok príkazov

End Function

Parameter

Názov: Názov podprogramu.

Názov_premennej: Parameter, ktorý bude odovzdaný podprogramu.

Typ: Kľúčové slovo deklarácie typu.

## Príklad:

    Sub ExampleExit

    Dim sReturn As String

    Dim sListArray(10) As String

    Dim siStep As Single

        For siStep = 0 to 10 REM Fill array with test data

            sListArray(siStep) = chr$(siStep + 65)

            MsgBox sListArray(siStep)

        Next siStep

        sReturn = LinSearch(sListArray(), "B")

        Print sReturn

    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer

    Dim iCount As Integer

    REM Linsearch vyhľadá v TextArray:sList() položku TextEntry:

    REM Návratová hodnota je index záznamu alebo 0 (Null)

        For iCount=1 To Ubound( sList() )

            If sList( iCount ) = sItem Then

                exit for REM sItem found

            End If

        Next iCount

        If iCount = Ubound( sList() ) Then iCount = 0

        LinSearch = iCount

    End Function